nvram-wakeup(8)

NAME
nvram-wakeup - a (small) program that can read and write the WakeUp time in the BIOS.

SYNOPSIS
nvram-wakeup [-l|--syslog] [-D|--debug] [-A|--directisa] [-N|--nowrite] [-d|--disable] [-s|--settime time] [-C|--configfile filename] [-I|--iwname string] [-v|--version] [-h|--help]

DESCRIPTION
nvram-wakeup is a (small) program that can read and write the WakeUp time in the BIOS (via /dev/nvram on kernels >= 2.4.6 or using direct I/O). On this WakeUp time the computer will be powered on automatically from the soft-off state.

OPTIONS
If run without options, nvram-wakeup will read the current wakeup settings from the NVRAM and print them on stdout.

-l, --syslog
    This option will let nvram-wakeup log all output via syslogd to the system log instead of stdout/stderr. This option should always be the first one.

-D, --debug
    This option enables printing debug messages.

-A, --directisa
    Use direct I/O port access to access the nvram instead of /dev/nvram. This option must be used if the configuration option upper_method is set. The device /dev/rtc is still used.

    WARNING: If you use the option --directisa and some other programm tries to access nvram and/or rtc at the same time, you might screw up all your nvram (i.e. all CMOS settings).

-N, --nowrite
    This option disables writing into the nvram and rtc devices. But all the values for the bytes are calculated. Write them down and go set the same date/time via BIOS Setup, run nvram-wakeup and see if the values you written down correspond to the values set by the BIOS.

-s time, --settime=time
    Specify the time on which the computer should be up and running. The time is specified as a time_t value, i.e., number of seconds since epoch (Jan 1 1970, 00:00:00).

    See EXAMPLES below on how to set a "human readable" wakeup time.

    Set time to 0 to disable the wakeup feature.

    You can specify multiple -s|--settime options on the command line, as far as they all have the same time value. See EXAMPLES below.

-d, --disable
    A synonym for --settime=0

-C filename, --configfile=filename
    Read mainboard configuration from configuration file filename.

    See nvram-wakeup.conf(5) for information on the syntax of the file.

    See BOARD CONFIGURATION below for general information on getting board configurations.

-I name, --iwname=name
    If the DMI entries of your mainboard are broken, you may specify a DMI infowriter name here. (it's the name of one of the functions from nvram-wakeup-mb.c)

    If you specify --configfile as well as the --iwname option, then --iwname is ignored.

    See BOARD CONFIGURATION below for general information on getting board configurations.

-w minutes, --wakeupbefore=minutes
    Specify how many minutes before the programmed wakeuptime the computer should wake up.

    The default is to start 5 minutes before the programmed wakeup time.

-h, --help
    Print a help message and exit.

-v, --version
    Display version and author information.

BOARD CONFIGURATION
By default, the mainboard is autodetected by reading DMI information from the BIOS. If the DMI entries are broken, you can specify the name of the infowriter to be used with the --iwname option. This only works if the board configuration is aleready compiled into the program. The list of existing infowriters can be found in the source.

Example: On my Biostar M6VCG the whole DMI entry is broken (maybe a BIOS update would help, but I never tried it), but the configuration of the board is known, so only the autodetection doesn't work. Thus look up (in boards.yaml) the name of the infowriter to beused, which is 'bio_m6vcg' and call

    nvram-wakeup --iwname bio_m6vcg

If nvram-wakeup doesn't know anything about your board, you can put the board configuration into a file and pass the file name via the --configfile option to nvram-wakeup. Look nvram-wakeup.conf(5) for more information on the configuration file syntax.

If you specify --configfile as well as the --iwname option, then --iwname is ignored.

EXAMPLES
You can specify multiple -d or -s options at the command line, but they must specify the same time, e.g.

    nvram-wakeup --settime=0 -s0 -s 0 -d -ddds0 # is O.K.
    nvram-wakeup -s1002722247 -s1002722247 # is O.K.
    nvram-wakeup -s1002722247 -s1002722248 # is not O.K.
    nvram-wakeup -s1002722247 --disable # is not O.K.

If you want the machine to be up and running in 20 minutes, call

    nvram-wakeup -s $((`date +%s` + 20 * 60))

If you want the machine to be up and running at 18:30 today, call

    nvram-wakeup -s `date +%s -d "18:30"`

Note that this is really "today" so if you run this after 18:30, the time will be in the past.

If you want the machine to be up and running on a particular day, at a particular time, say at 18:30 on Apr. 23rd, call

    nvram-wakeup -s `date +%s -d "Apr 23 18:30"`

For "tomorrow" you can use something like that:

    nvram-wakeup -s $((`date +%s -d "18:30"` + 60*60*24))

EXIT STATUS

0   Successful program execution. The new date and time were set successfully.

1   Successful program execution. The computer must be rebooted for the changes to take effect.

2   An error occured. Something went wrong.

FILES

/dev/nvram
    NVRAM character device. This one is used for reading/writing the nvram values if the command line option --directisa is not used.

/dev/rtc
    RTC character device. This one is used to determine if the RTC clock is running localtime or UTC/GMT. Furthermore, some motherboards use the RTC alarm time for the wakeup feature.

/dev/mem
    Memory character device. This one is used to get DMI information for board autodetection.

nvram-wakeup.conf
    Configuration file for a mainboard not supported out-of-the-box. See nvram-wakeup.conf(5) for information on the syntax of the file.

SEE ALSO
nvram-wakeup.conf(5)

HOMEPAGE
http://sf.net/projects/nvram-wakeup/

AUTHOR
Written by Sergei Haller <Sergei.Haller@math.uni-giessen.de>.

REPORTING BUGS
Report bugs at the bug tracking system (see HOMEPAGE) or on the mailing list nvram-wakeup-devel@lists.sourceforge.net

COPYRIGHT
Copyright © 2001-2004 Sergei Haller.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA